OPEN DATABASE HOME(2) + "Northwind\Northwind"

SELECT EmployeeID, YEAR(OrderDate) AS OrdYear, MONTH(OrderDate) as OrdMonth, ;
       SUM(Quantity*UnitPrice) AS OrderTotal ;
	FROM Orders ;
	  JOIN OrderDetails ;
	    ON Orders.OrderID = OrderDetails.OrderID ;
	GROUP BY 1, 2, 3 ;
	INTO CURSOR csrMonthlyTotals
	
* Add employee name
SELECT PADR(ALLTRIM(FirstName) + (' ' + LastName), 30) AS cName, csrMonthlyTotals.* ;
	FROM csrMonthlyTotals ;
	  JOIN Employees ;
	    ON csrMonthlyTotals.EmployeeID = Employees.EmployeeID ;
	ORDER BY LastName, FirstName ;
	INTO CURSOR csrReport
	
LOCAL oXTab AS FastXTab OF "d:\fox\utilities\fastxtab\fastxtab16\fastxtab.prg"

oXTab = NEWOBJECT("fastxtab", "\fox\utilities\fastxtab\fastxtab16\fastxtab.prg")
WITH oXTab AS FastXTab OF "d:\fox\utilities\fastxtab\fastxtab16\fastxtab.prg"
	.cOutFile = "csrXtab"
	.cRowFIELD = "cName"
	.cColField = [PADL(OrdYear,4) + "-" + PADL(OrdMonth,2)]
	.cDATAFIELD = "OrderTotal"
	.lCursorOnly = .T.
	.lCLOSETABLE = .T.
	.RunXtab()
ENDWITH 	