OPEN DATABASE HOME(2) + "Northwind\Northwind"

SELECT EmployeeID, OrderDate, ;
       SUM(Quantity*UnitPrice) AS OrderTotal ;
	FROM Orders ;
	  JOIN OrderDetails ;
	    ON Orders.OrderID = OrderDetails.OrderID ;
	GROUP BY 1, 2 ;
	INTO CURSOR csrMonthlyTotals
	
LOCAL nStart, nEnd	
LOCAL oXTab AS FastXTab OF "d:\fox\utilities\fastxtab\fastxtab16\fastxtab.prg"

oXTab = NEWOBJECT("fastxtab", "\fox\utilities\fastxtab\fastxtab16\fastxtab.prg")
WITH oXTab AS FastXTab OF "d:\fox\utilities\fastxtab\fastxtab16\fastxtab.prg"
    .cRowField = 'EmployeeID'
    .cColField = 'MONTH(OrderDate)'
    .cDataField = 'OrderTotal'
	.cOutFile = "csrXtab"
	.cCondition = 'year(OrderDate) = 1997'
	.lCursorOnly = .T.
	.lCloseTable = .T.
	.RunXtab()
ENDWITH 

* Add employee name
SELECT PADR(ALLTRIM(FirstName) + (' ' + LastName), 30) AS cName, csrXtab.* ;
	FROM csrXtab ;
	  JOIN Employees ;
	    ON csrXtab.EmployeeID = Employees.EmployeeID ;
	ORDER BY LastName, FirstName ;
	INTO CURSOR csrReport
	

LOCAL nFieldCount, nPageBase, nFirstDataCol
LOCAL nPages, nPage, nFieldsPerPage
LOCAL cReportYear, nReportYear

cReportYear = '1997'
nReportYear = 1997
nFieldCount = FCOUNT("csrReport")

nFirstDataCol = 3
nFieldsPerPage = 4
nPages = CEILING((m.nFieldCount-m.nFirstDataCol)/m.nFieldsPerPage)

FOR m.nPage = 1 TO m.nPages
	nPageBase = (m.nPage-1) * m.nFieldsPerPage + m.nFirstDataCol
	
	REPORT FORM WideMonthlySales PREVIEW 
ENDFOR 