OPEN DATABASE HOME(2) + "Northwind\Northwind"

SELECT EmployeeID, Orders.OrderID, OrderDate, ;
       SUM(Quantity*UnitPrice) AS OrderTotal ;
	FROM Orders ;
	  JOIN OrderDetails ;
	    ON Orders.OrderID = OrderDetails.OrderID ;
	GROUP BY 1, 2, 3 ;
	INTO CURSOR csrOrderTotals

LOCAL nStart, nEnd	
LOCAL oXTab AS FastXTab OF "d:\fox\utilities\fastxtab\fastxtab16\fastxtab.prg"

nStart = SECONDS()
oXTab = NEWOBJECT("fastxtab", "\fox\utilities\fastxtab\fastxtab16\fastxtab.prg")
WITH oXTab AS FastXTab OF "d:\fox\utilities\fastxtab\fastxtab16\fastxtab.prg"
	.cCoLFIELD = 'EmployeeID'
	.cROWFIELD = 'PADL(YEAR(OrderDate),4) + "_Q" + PADL(QUARTER(OrderDate),1)'
	.nMULTIDATAFIELD = 3
	.acdatafield[1] = 'OrderTotal'
	.anFunctiontype[1] = 1
	.acDataField[2] = 'OrderTotal'
	.anFunctiontype[2] = 3
	.anDatafield[3] = 'OrderTotal'
	.anFunctiontype[3] = 2
	.couTFILE = "csrXtab"
	.lCursorOnly = .T.
	.lCLOSETABLE = .F.
	.RunXtab()
ENDWITH 
nEnd = SECONDS()
?"Elapsed time using FastXTab 1.6: ", m.nEnd - m.nStart