OPEN DATABASE HOME(2) + "Northwind\Northwind"

SELECT CustomerID, Orders.OrderID, OrderDate, ;
       SUM(Quantity*UnitPrice) AS OrderTotal, ;
       Freight ;
	FROM Orders ;
	  JOIN OrderDetails OD ;
	    ON Orders.OrderID = OD.OrderID ;
	GROUP BY 1, 2, 3, 5 ;
	INTO CURSOR csrOrderTotals      
	
LOCAL nStart, nEnd	
LOCAL oXTab AS FastXTab OF "d:\fox\utilities\fastxtab\fastxtab16\fastxtab.prg"

nStart = SECONDS()
oXTab = NEWOBJECT("fastxtab", "\fox\utilities\fastxtab\fastxtab16\fastxtab.prg")
WITH oXTab AS FastXTab OF "d:\fox\utilities\fastxtab\fastxtab16\fastxtab.prg"
    .cRowField = 'CustomerID'
    .cColField = 'PADL(YEAR(OrderDate),4)+ "_" + PADL(MONTH(OrderDate),2,"0")'
    .nFunctionType = 6
    .cFunctionExp = 'SUM(Freight)/SUM(OrderTotal)'
	.cOutFile = "csrXtab"
	.lCursorOnly = .T.
	.lCloseTable = .T.
	.RunXtab()
ENDWITH 
nEnd = SECONDS()
?"Elapsed time using FastXTab 1.6: ", m.nEnd - m.nStart	