OPEN DATABASE HOME(2) + "Northwind\Northwind"

SELECT ProductName, CategoryName, ;
       OrderDate, ShipCountry,  ;
       SUM(Quantity) AS NumSold ;
	FROM Orders ;
	  JOIN OrderDetails OD ;
	    ON Orders.OrderID = OD.OrderID ;
	  JOIN Products ;
	    ON OD.ProductID = Products.ProductID ;
	  JOIN Categories ;
	    ON Products.CategoryID = Categories.CategoryID ;  
	GROUP BY 1, 2, 3, 4 ;
	INTO CURSOR csrProductsSold
	
LOCAL nStart, nEnd	
LOCAL oXTab AS FastXTab OF "d:\fox\utilities\fastxtab\fastxtab16\fastxtab.prg"

nStart = SECONDS()
oXTab = NEWOBJECT("fastxtab", "\fox\utilities\fastxtab\fastxtab16\fastxtab.prg")
WITH oXTab AS FastXTab OF "d:\fox\utilities\fastxtab\fastxtab16\fastxtab.prg"
	.cPageField = 'ShipCountry'
	.cRowField = 'CategoryName'
	.cColField = 'YEAR(OrderDate)'
	.cDataField = 'NumSold'
	.cOutFile = "csrXtab"
	.lCursorOnly = .T.
	.lCloseTable = .F.
	.RunXtab()
ENDWITH 
nEnd = SECONDS()
?"Elapsed time using FastXTab 1.6: ", m.nEnd - m.nStart	