WITH SalesByYear (SalesPersonID, SalesYear, SubTotal)
AS 
(SELECT SalesPersonID, YEAR(OrderDate) , SubTotal
			FROM Sales.SalesOrderHeader
			WHERE SalesPersonID IS NOT NULL)
SELECT *
	FROM SalesByYear
	PIVOT(SUM(SubTotal) 
		  FOR SalesYear IN ([2011], [2012], [2013], [2014])) AS TotalSales
	ORDER BY SalesPersonID