OPEN DATABASE HOME(2) + "Northwind\Northwind"

SELECT EmployeeID, OrderDate, ;
       SUM(Quantity*UnitPrice) AS OrderTotal ;
	FROM Orders ;
	  JOIN OrderDetails ;
	    ON Orders.OrderID = OrderDetails.OrderID ;
	GROUP BY 1, 2 ;
	INTO CURSOR csrMonthlyTotals
	
LOCAL nStart, nEnd	
LOCAL oXTab AS FastXTab OF "d:\fox\utilities\fastxtab\fastxtab16\fastxtab.prg"

nStart = SECONDS()
oXTab = NEWOBJECT("fastxtab", "\fox\utilities\fastxtab\fastxtab16\fastxtab.prg")
WITH oXTab AS FastXTab OF "d:\fox\utilities\fastxtab\fastxtab16\fastxtab.prg"
    .cRowField = 'EmployeeID'
    .cColField = 'MONTH(OrderDate)'
    .cDataField = 'OrderTotal'
	.cCondition = 'YEAR(OrderDate) = 1998'
	.cOutFile = "csrXtab"
	.lCursorOnly = .T.
	.lCloseTable = .T.
	.RunXtab()
ENDWITH 
nEnd = SECONDS()
?"Elapsed time using FastXTab 1.6: ", m.nEnd - m.nStart