OPEN DATABASE HOME(2) + "Northwind\Northwind"

SELECT EmployeeID, Orders.OrderID, OrderDate, ;
       SUM(Quantity*UnitPrice) AS OrderTotal ;
	FROM Orders ;
	  JOIN OrderDetails ;
	    ON Orders.OrderID = OrderDetails.OrderID ;
	GROUP BY 1, 2, 3 ;
	INTO CURSOR csrOrderTotals

LOCAL oXTab AS FastXTab OF "d:\fox\utilities\fastxtab\fastxtab16\fastxtab.prg"

oXTab = NEWOBJECT("fastxtab", "d:\fox\utilities\fastxtab\fastxtab16\fastxtab.prg")
WITH oXTab AS FastXTab OF "d:\fox\utilities\fastxtab\fastxtab16\fastxtab.prg"
	.cROWFIELD = 'EmployeeID'
	.cCoLFIELD = 'YEAR(OrderDate)'
	.nMULTIDATAFIELD = 3
	.acdatafield[1] = 'OrderTotal'
	.anFunctiontype[1] = 1
	.acDataField[2] = 'OrderTotal'
	.anFunctiontype[2] = 3
	.anDatafield[3] = 'OrderID'
	.anFunctiontype[3] = 2
	.couTFILE = "csrXtab"
	.lCursorOnly = .T.
	.lCLOSETABLE = .F.
	.RunXtab()
ENDWITH 

LOCAL nFieldCount, nPageBase, aFldList[1]
LOCAL nPages, nPage, nFieldsPerPage

nFieldCount = AFIELDS(aFldList, "csrXtab")
nFieldsPerPage = 6

nPages = CEILING((nFieldCount - 1)/m.nFieldsPerPage)

SELECT csrXtab

FOR nPage = 1 TO  m.nPages
	nPageBase = m.nFieldsPerPage * (m.nPage - 1) + 1
	REPORT FORM WideSalesAvgCount PREVIEW 
ENDFOR 